<?php
/* --------------------------------------------------------------------

  Chevereto
  http://www.chevereto.com/

  @version	2.0.2
  @author	Rodolfo Berríos <http://rodolfoberrios.com/>
  @url		<http://godlikestudio.com>

  Copyright (C) 2008-2011 Rodolfo Berríos. All rights reserved.
  <inbox@rodolfoberrios.com>

  --------------------------------------------------------------------- */

if(!defined('access') or !access) die('This file cannot be directly accessed.');

/**
 * This File loads everything that is Chevereto
 * It sets the paths, call files, etc.
 */

/*** Include the config file ***/
if(!@include_once('config.php')) die('Can\'t find config.php');


/*** error reporting ***/
if($config['error_reporting']==false) { 
	error_reporting(0);
	@ini_set('display_errors', false);
} else {
	error_reporting(E_ALL & ~E_NOTICE);
}

/*** Folders Definitions ***/
define('__FOLDER_IMAGES__', $config['folder_images']);
define('__FOLDER_THUMBS__', $config['folder_thumbs']);

/*** Paths Definitions ***/
define('__PATH_IMAGES__', __ROOT_DIR__.__FOLDER_IMAGES__.'/');
define('__PATH_THUMBS__', __ROOT_DIR__.__FOLDER_THUMBS__.'/');
define('__PATH_INCLUDES__', __ROOT_DIR__.'includes/');
define('__PATH_CLASSES__', __PATH_INCLUDES__.'classes/');
define('__FILE_FUNCTIONS__', __PATH_INCLUDES__.'functions.php');
define('__PATH_CONTENT__', __ROOT_DIR__.'content/');
define('__PATH_SYSTEM_CONTENT__', __PATH_CONTENT__.'system/');
define('__PATH_SYSTEM_JS__', __PATH_SYSTEM_CONTENT__.'js/');
define('__PATH_LANGUAGES__', __PATH_CONTENT__.'languages/');
define('__PATH_THEMES__', __PATH_CONTENT__.'themes/');
define('__PATH_THEME__', __PATH_THEMES__.$config['theme'].'/');


/*** Language ***/
$default_lang = __PATH_LANGUAGES__.$config['lang'].'/chevereto_lang.php';
if(@strlen($config['lang'])>0 and file_exists($default_lang)) {
	if($config['auto_lang']==true) {
		// Fetch all the language files
		//$languages = array_values(array_diff(scandir(__PATH_LANGUAGES__), array('.', '..')));
		$lang_code = substr($_SERVER['HTTP_ACCEPT_LANGUAGE'],0,2);
		$auto_lang = __PATH_LANGUAGES__.$lang_code.'/chevereto_lang.php';
		if(file_exists($auto_lang)) {
			define('__LANGUAGE_FILE__', $auto_lang);
		} else {
			define('__LANGUAGE_FILE__', $default_lang);
		}
	} else {
		define('__LANGUAGE_FILE__', $default_lang);
	}
	require_once(__LANGUAGE_FILE__);
} else {
	die('Can\'t find language file. Please check your lang in the config.php file.');
}


/*** Include the core functions ***/
if(!@include_once(__FILE_FUNCTIONS__)) die('Can\'t find '.__FILE_FUNCTIONS__);


/*** set some url paths ***/
define('__URL_SYSTEM_JS__', absolute_to_url(__PATH_SYSTEM_JS__));
define('__URL_THEME__', absolute_to_url(__PATH_THEME__));


/*** Call the handler ***/
if(access=='index') {
	require_once(__PATH_INCLUDES__.'template.functions.php');
	require_once(__PATH_CLASSES__.'class.handler.php');
	$handler = new Handler($_SERVER);
}

?>