<?php
/* --------------------------------------------------------------------

  Chevereto
  http://www.chevereto.com/

  @version	2.0.2
  @author	Rodolfo Berros <http://rodolfoberrios.com/>
  @url		<http://godlikestudio.com>

  Copyright (C) 2008-2011 Rodolfo Berros. All rights reserved.
  <inbox@rodolfoberrios.com>

  --------------------------------------------------------------------- */

/**
 * Theme
 * http://chevereto.com/themes/
 */
$config['theme'] = 'Peafowl';  // Place the case-sensitive folder name of your theme located in /includes/themes/


/**
 * Default language display
 * If you need to add a new language just create a new xx.php file under includes/lang/ then change 'en' to 'xx'
 */
$config['lang'] = 'fa'; // en - English | es - Espaol


/**
 * Auto language
 * If is set to true, the script will set the language according to the visitor language.
 * default: true
 */
$config['auto_lang'] = false; // Values: true|false


// Site details
$config['site_name'] = 'Chevereto';
$config['doctitle'] = 'Chevereto Image Hosting';
$config['meta_description'] = 'Chevereto is a free image hosting service powered by Chevereto';
$config['meta_keywords'] = 'images, photos, image hosting, photo hosting, free image hosting';


/**
 * API settings
 * Sets the API configurable values
 */
$config['api_key'] = 'my_api_key'; // Whatever you want
$config['api_mode'] = 'private'; // public | private - Public: No restrictions, Private: Need to parse the API key.
 

/**
 * Folders set-up
 * This are the main folders used by the script.
 * -> If you change this you also must change the folders name.
 */
$config['folder_images'] = 'images';
$config['folder_thumbs'] = 'images/thumbs';


/**
 * Allowed Minimum-Maximum values
 * This values are globally afected by PHP configuration located in php.ini.
 * This limits have a maximum setted by yout hosting company, Chevereto can't override them.
 */
$config['max_size_mb'] = 2; // Allowed maximum image size uploaded (MB)

$config['thumb_width'] = 100; // Thumb width in pixels - default: 100
$config['thumb_height'] = 90; // Thumb height in pixels - default: 90

$config['min_resize_size'] = 16; // Min. resize value (pixels)
$config['max_resize_size'] = 1280; // Max. resize value (pixels)


/**
 * multiupload
 * Multiupload feature for local file uploads.
 */
$config['multiupload'] = true;
$config['multiupload_limit'] = '10'; // Maximun number images on multiupload queue (leave empty for no limit) values 1-100
$config['multiupload_simultaneous'] = '1'; // How many images will be uploaded at once. Default:1


/**
 * over_resize
 * Chevereto can resize images but you can limit if it can over resize images like turning a 100x100 into 1280x1280
 * default: false
 */
$config['over_resize'] = false; // Values: true|false


/**
 * error_reporting
 * Switch for enable/disable the PHP error reporting
 * default: false
 */
$config['error_reporting'] = false; // Values: true|false


/**
 * short_url
 * Cut URL allows the ability of shrink the long image URL to something like http://tinyurl.com/c9a8pc.
 * default:true
*/
$config['short_url'] = true; // Values: true|false


/**
 * short_url_service
 * Remember $config['short_url'] There we set up wich service we want to use.
 * default: tinyurl
*/
$config['short_url_service'] = 'tinyurl'; // Values: tinyurl | google | isgd | bitly | custom


/**
 * custom_short_url_api
 * If you set short_url_service to custom you need to specify the API url for your custom service
 * including user login, output format (raw text) and at the end the empty url param (see the example)
 * Note: Your service must have raw text output via GET.
 */
$config['custom_short_url_api'] = ''; // Example: http://yoursite.com/yourls-api.php?format=simple&username=user&password=pass&url=


/**
 * custom_short_url_service
 * The name of your custom short url service
 */
$config['custom_short_url_service'] = 'My Short URL Service'; 


/**
 * short_url_user & short_url_keypass
 * In case that the cut URL service API needs user:pass or id:key
 * Note: This is not valid for custom short_url_service
 */
$config['short_url_user'] = ''; // user/id  example: $config['short_url_user'] = 'bitlyuser'
$config['short_url_keypass'] = ''; // pass/key example: $config['short_url_keypass'] = '123456789'



///////////////////////////////////////////////////////////////////////////////////
/////////////   EDIT BELOW THIS ONLY IF YOU KNOW WHAT ARE YOU DOING    ////////////
///////////////////////////////////////////////////////////////////////////////////

/**
 * We get this value with $_SERVER. If your server doesn't resolve this value,
 * the script will not work and you must manually set this value.
 */
define('HTTP_HOST', $_SERVER['HTTP_HOST']);
define('SERVER_PROTOCOL', (!empty($_SERVER['HTTPS']) && strtolower($_SERVER['HTTPS']) == 'on' ) ? 'https://' : 'http://');

/**
 * Sets the Paths and Base URL for the script
 * If you find weird issues this may be caused by your server who doesn't
 * handle the $_SERVER vars properly, so you must enter this paths manually.
 */
define('__ROOT_DIR__', str_replace('\\','/',dirname(dirname(__FILE__))).'/'); // /home/user/public_html/
define('__RELATIVE_ROOT__', str_ireplace(rtrim($_SERVER['DOCUMENT_ROOT'], '/'), '', __ROOT_DIR__));
define('__BASE_URL__', SERVER_PROTOCOL.HTTP_HOST.__RELATIVE_ROOT__);

?>