<?php
/* --------------------------------------------------------------------

  Chevereto
  http://www.chevereto.com/

  @version	2.0.2
  @author	Rodolfo Berríos <http://rodolfoberrios.com/>
  @url		<http://godlikestudio.com>

  Copyright (C) 2008-2011 Rodolfo Berríos. All rights reserved.
  <inbox@rodolfoberrios.com>

  --------------------------------------------------------------------- */

if(!defined('access') or !access) die('This file cannot be directly accessed.');
	
require_once(__PATH_CLASSES__.'class.upload.php');
 
$upload = new Upload($to_upload);
if($is_remote) $upload->is_remote = true;

$upload->img_upload_path = __PATH_IMAGES__;
$upload->thumb_upload_path = __PATH_THUMBS__;

$upload->resize_width = $to_resize;
$upload->thumb_width = $config['thumb_width'];
$upload->thumb_height = $config['thumb_height'];

$upload->max_size = mb_to_bytes($config['max_size_mb']);

/*** Session ***/
if (array_key_exists('sID', $_REQUEST)) session_id($_REQUEST['sID']);
session_start();

/*** Do the thing? ***/
if($upload->process()) {
	$imageInfo = $upload->image_info;
	if($config['short_url']==true) {
		require_once(__PATH_INCLUDES__.'shorturl.php');
		$imageInfo['shorturl'] = $ShortURL->get_ShortURL($upload->image_info['img_url']);
	}
	$_SESSION['ImagesUp'][str_replace('.', '', $upload->image_info['img_name'])] = $imageInfo;
	exit(json_encode(array("ImgName"=>$upload->image_info['img_name'])));
} else {
	// Translate the upload errors from the class to Chevereto's lang
	switch($upload->error) {
		case 'error uploading':
			$error_msg = $lang['error_uploading'];
		break;
		case 'empty source':
			$error_msg = $lang['error_empty'];
		break;
		case 'invalid source':
			$error_msg = $lang['error_source'];
		break;
		case 'invalid image url':
			$error_msg = $lang['error_url'];
		break;
		case 'invalid thumb size':
			$error_msg = $lang['error_thumb_size'];
		break;
		case 'invalid resize size':
			$error_msg = $lang['error_resize_sise'];
		break;
		case 'invalid image':
		case 'invalid mime':
		case 'invalid extension':
			$error_msg = $lang['error_image_invalid'];
		break;
		case 'too big':
			$error_msg = $lang['error_image_weight'];
		break;
	}
	exit(json_encode(array("error"=>"true","errorMsg"=>"$error_msg")));
}

?>